#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_with	gtk3		# use GTK+ 3.x instead of 2.x

Summary:	MATE Desktop panel applets
Summary(pl.UTF-8):	Aplety panelu dla środowiska MATE Desktop
Name:		mate-panel
Version:	1.8.1
Release:	1
License:	LGPL v2+ (library), GPL v2+ (applets)
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	9354b0f9619b273c1432fd8490e6cbac
Patch0:		no-xdg-menu-prefix.patch
URL:		http://wiki.mate-desktop.org/mate-panel
BuildRequires:	NetworkManager-devel >= 0.6
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	dbus-glib-devel >= 0.80
BuildRequires:	dconf-devel >= 0.13.4
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.7.1
BuildRequires:	gettext-devel >= 0.12
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.19.7}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.40.0
%{!?with_gtk3:BuildRequires:	libcanberra-gtk-devel}
%{?with_gtk3:BuildRequires:	libcanberra-gtk3-devel}
%{!?with_gtk3:BuildRequires:	libmateweather-devel >= 1.5.0}
%{?with_gtk3:BuildRequires:	libmateweather-devel >= 1.7.0}
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	libtool >= 1:1.4.3
%{?with_gtk3:BuildRequires:	libwnck-devel >= 3.0.0}
%{!?with_gtk3:BuildRequires:	libwnck2-devel >= 2.30.7-2}
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.5.0
BuildRequires:	mate-menus-devel >= 1.1.0
BuildRequires:	pango-devel >= 1:1.15.4
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.2.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus >= 1.1.2
Requires:	dbus-glib >= 0.80
Requires:	dconf >= 0.13.4
Requires:	desktop-file-utils
Requires:	gsettings-desktop-schemas
Requires:	gtk-update-icon-cache
%{!?with_gtk3:Requires:	libmateweather >= 1.5.0}
%{?with_gtk3:Requires:	libmateweather >= 1.7.0}
%{?with_gtk3:Requires:	libwnck >= 3.0.0}
%{!?with_gtk3:Requires:	libwnck2 >= 2.30.7-2}
Requires:	marco
Requires:	mate-desktop >= 1.5.0
Requires:	mate-menus >= 1.1.0
Suggests:	mate-settings-daemon
# for fish
Requires:	fortune-mod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop panel applets.

%description -l pl.UTF-8
Aplety panelu dla środowiska MATE Desktop.

%package libs
Summary:	Shared library for MATE panel applets
Summary(pl.UTF-8):	Biblitoteka współdzielona dla apletów panelu MATE
License:	LGPL v2+
Group:		Libraries
Requires:	cairo >= 1.0.0
Requires:	gdk-pixbuf2 >= 2.7.1
Requires:	glib2 >= 1:2.26.0
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.19.7}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	pango >= 1:1.15.4
Requires:	xorg-lib-libXrandr >= 1.2.0

%description libs
Shared library for MATE panel applets.

%description libs -l pl.UTF-8
Biblitoteka współdzielona dla apletów panelu MATE.

%package devel
Summary:	Development files for libmate-panel-applet library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libmate-panel-applet
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0
%{!?with_gtk3:Requires:	gtk+2-devel >= 2:2.19.7}
%{?with_gtk3:Requires:	gtk+3-devel >= 3.0.0}

%description devel
Development files for libmate-panel-applet library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libmate-panel-applet.

%package apidocs
Summary:	API documentation for libmate-panel-applet library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmate-panel-applet
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libmate-panel-applet library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmate-panel-applet.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# libexecdir needed for gnome conflicts
%configure \
	--libexecdir=%{_libdir}/%{name} \
	--enable-network-manager \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk3:--with-gtk=3.0} \
	--with-html-dir=%{_gtkdocdir} \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-panel.convert

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

desktop-file-install \
        --remove-category="MATE" \
        --add-category="X-Mate" \
        --dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# update naming convention
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}

%find_lang %{name} --with-mate --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-desktop-item-edit
%attr(755,root,root) %{_bindir}/mate-panel
%attr(755,root,root) %{_bindir}/mate-panel-test-applets
%{_mandir}/man1/mate-desktop-item-edit.1*
%{_mandir}/man1/mate-panel-test-applets.1*
%{_mandir}/man1/mate-panel.1*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/clock-applet
%attr(755,root,root) %{_libdir}/%{name}/fish-applet
%attr(755,root,root) %{_libdir}/%{name}/notification-area-applet
%attr(755,root,root) %{_libdir}/%{name}/wnck-applet
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.mate.panel.*.xml
%{_datadir}/dbus-1/services/org.mate.panel.*.service
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/mate-panel*.*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-panel-applet-4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmate-panel-applet-4.so.1
%{_libdir}/girepository-1.0/MatePanelApplet-4.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-panel-applet-4.so
%{_includedir}/mate-panel-4.0
%{_pkgconfigdir}/libmatepanelapplet-4.0.pc
%{_datadir}/gir-1.0/MatePanelApplet-4.0.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/mate-panel-applet
%endif
%changelog
* Mon Sep 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-panel.git;a=log;h=master

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> d3c7285
- up to 1.8.1

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 1f9d57d
- actually make use of gtk3 bcond
- cleaned up scrollkeeper leftovers

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 7f0bcc6
- cmn locale is supported now
- added gtk3 bcond

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 56dbb33
- noarch apidocs

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> d3ef0b3
- up to 1.8.0
- libwnck support added upstream (use-libwnck.patch removed)
- mate-doc-utils replaced by yelp-tools
- adjust for renamed mate-window-manager -> marco

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> d819655
- updated to 1.6.2

* Fri Dec 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 8233cc5
- update locale name: sr@ije -> sr@ijekavian; release 5

* Sun Dec 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 685a20c
- pl, cleanup, completed dependencies; release 4

* Tue Jul 30 2013 Elan Ruusamäe <glen@delfi.ee> fc26b33
- release 3 (by relup.sh)

* Mon Jul 15 2013 Elan Ruusamäe <glen@delfi.ee> d9531ba
- no more autogen in tarballs; fix files list

* Mon Jul 15 2013 Elan Ruusamäe <glen@delfi.ee> e80e916
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> d8dbb0a
- use 1.6.0 tarball

* Thu Mar 21 2013 Elan Ruusamäe <glen@delfi.ee> b712c2c
- up to 1.5.6

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> a8f9650
- use libwnck2. not matewnck

* Mon Feb 11 2013 Elan Ruusamäe <glen@delfi.ee> d6ba59e
- up to 1.5.5

* Mon Jan 21 2013 Elan Ruusamäe <glen@delfi.ee> 7a02f27
- up to 1.5.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 11461a7
- BR: docbook-dtd412-xml, libcanberra-gtk-devel, rpm-pythonprov by cleanbuild

* Wed Jan 16 2013 Elan Ruusamäe <glen@delfi.ee> ee8e5e1
- no hardcoded mate- prefix for applications.menu

* Wed Jan 16 2013 Elan Ruusamäe <glen@delfi.ee> 6ef92ed
- use %{name} macro

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> a58ef74
- requires window manager

